"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useScrollDownButton_unstable", {
    enumerable: true,
    get: function() {
        return useScrollDownButton_unstable;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reactcomponents = require("@fluentui/react-components");
const _reacticons = require("@fluentui/react-icons");
const useScrollDownButton_unstable = (props, ref)=>{
    const { isGenerating = false } = props;
    const maskId = (0, _reactcomponents.useId)('fai-spinner');
    return {
        isGenerating,
        maskId,
        components: {
            root: 'button',
            spinner: 'svg',
            spinnerMaskStroke: 'circle',
            spinnerMaskBackground: 'circle',
            spinnerBase: 'circle',
            icon: 'span'
        },
        root: _reactcomponents.slot.always((0, _reactcomponents.getIntrinsicElementProps)('button', {
            ref,
            'aria-label': 'Scroll down',
            ...props
        }), {
            elementType: 'button'
        }),
        spinner: _reactcomponents.slot.optional(props.spinner, {
            renderByDefault: isGenerating,
            elementType: 'svg'
        }),
        spinnerMaskStroke: _reactcomponents.slot.optional(props.spinnerMaskStroke, {
            renderByDefault: isGenerating,
            elementType: 'circle',
            defaultProps: {
                cx: 0,
                cy: 0,
                r: 18
            }
        }),
        spinnerMaskBackground: _reactcomponents.slot.optional(props.spinnerMaskBackground, {
            renderByDefault: isGenerating,
            elementType: 'circle',
            defaultProps: {
                cx: 0,
                cy: 0,
                r: 16,
                stroke: 'black',
                strokeWidth: 4,
                strokeLinecap: 'round',
                strokeDashoffset: 'calc(2 * pi * 16 * 0.25)',
                strokeDasharray: 'calc(2 * pi * 16 * 0.25), calc(2 * pi * 16 * 0.75)'
            }
        }),
        spinnerBase: _reactcomponents.slot.optional(props.spinnerBase, {
            renderByDefault: isGenerating,
            elementType: 'circle',
            defaultProps: {
                cx: 0,
                cy: 0,
                r: 18
            }
        }),
        icon: _reactcomponents.slot.always(props.icon, {
            defaultProps: {
                children: /*#__PURE__*/ _react.createElement(_reacticons.ArrowDownFilled, null)
            },
            elementType: 'span'
        })
    };
}; //# sourceMappingURL=useScrollDownButton.js.map
