"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    scrollDownButtonClassNames: function() {
        return scrollDownButtonClassNames;
    },
    useScrollDownButtonStyles_unstable: function() {
        return useScrollDownButtonStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const _tokens = require("@fluentui-copilot/tokens");
const scrollDownButtonClassNames = {
    root: 'fai-ScrollDownButton',
    spinner: 'fai-ScrollDownButton__spinner',
    spinnerMaskStroke: 'fai-ScrollDownButton__spinnerMaskStroke',
    spinnerMaskBackground: 'fai-ScrollDownButton__spinnerMaskBackground',
    spinnerBase: 'fai-ScrollDownButton__spinnerBase',
    icon: 'fai-ScrollDownButton__icon'
};
const sizes = {
    width: '36px',
    radius: '18px',
    strokeWidth: _tokens.tokens.strokeWidthThickest
};
/**
 * Styles for the root slot
 */ const useRootClassName = (0, _reactcomponents.__resetStyles)("r1evfbqg", null, [
    ".r1evfbqg{height:36px;width:36px;background-color:var(--colorTransparentBackground);border-radius:var(--borderRadiusCircular);display:flex;align-items:center;padding:0;border:none;position:relative;}"
]);
const useIconStyles = (0, _reactcomponents.__styles)({
    isGenerating: {
        a9b677: "fmvjdo8",
        Bqenvij: "fu03cfl",
        jrapky: 0,
        Frg6f3: 0,
        t21cq0: 0,
        B6of3ja: 0,
        B74szlk: "f1ms8be7"
    }
}, {
    d: [
        ".fmvjdo8{width:calc(36px - 2 * var(--strokeWidthThickest));}",
        ".fu03cfl{height:calc(36px - 2 * var(--strokeWidthThickest));}",
        [
            ".f1ms8be7{margin:var(--strokeWidthThickest);}",
            {
                p: -1
            }
        ]
    ]
});
const useIconClassName = (0, _reactcomponents.__resetStyles)("roopu9g", null, [
    ".roopu9g{display:flex;width:100%;height:100%;box-sizing:border-box;position:absolute;border-radius:var(--borderRadiusCircular);align-items:center;justify-content:center;background-color:var(--colorNeutralBackground1);color:var(--colorBrandForeground1);font-size:20px;}",
    ".roopu9g:hover{background-color:var(--colorNeutralBackground1Hover);}",
    ".roopu9g:hover:active{background-color:var(--colorNeutralBackground1Pressed);}"
]);
const useSpinnerClassName = (0, _reactcomponents.__resetStyles)("r5etwlo", "rgot9i4", [
    ".r5etwlo{position:absolute;width:inherit;height:inherit;display:flex;align-items:center;justify-content:center;animation-duration:1.5s;animation-timing-function:linear;animation-iteration-count:infinite;animation-name:rovhcia;}",
    "@keyframes rovhcia{100%{transform:rotate(360deg);}}",
    ".rgot9i4{position:absolute;width:inherit;height:inherit;display:flex;align-items:center;justify-content:center;animation-duration:1.5s;animation-timing-function:linear;animation-iteration-count:infinite;animation-name:rhrmi1i;}",
    "@keyframes rhrmi1i{100%{transform:rotate(-360deg);}}"
]);
// inner circle styles
const useInnerCircleClassName = (0, _reactcomponents.__resetStyles)("rd89tmy", "r18f45ly", [
    ".rd89tmy{fill:var(--colorNeutralBackground1);transform:translate(18px, 18px);}",
    ".r18f45ly{fill:var(--colorNeutralBackground1);transform:translate(-18px, 18px);}"
]);
// outer circle styles
const useOuterCircleClassName = (0, _reactcomponents.__resetStyles)("r1ebexyf", "r10dd6vr", [
    ".r1ebexyf{fill:var(--colorNeutralBackground1);opacity:0.6;transform:translate(18px, 18px);}",
    ".r10dd6vr{fill:var(--colorNeutralBackground1);opacity:0.6;transform:translate(-18px, 18px);}"
]);
const useStyles = (0, _reactcomponents.__styles)({
    rootSending: {
        Bgh53k4: 0,
        B2eet1l: 0,
        De3pzq: 0,
        Bcmaq0h: 0,
        gk0gix: 0,
        B20660r: 0,
        B8a6bjv: 0,
        Bpptf2m: 0,
        e5kdtc: 0,
        Bkjc3bi: 0,
        ayd6f0: "f1oxvhcu"
    }
}, {
    d: [
        [
            ".f1oxvhcu{background:conic-gradient(from 0deg at 50% 50%, var(--colorBrandFlair1) 0deg, var(--colorBrandFlair2) 90deg, var(--colorBrandFlair3) 180deg, var(--colorBrandFlair2) 270deg, var(--colorBrandFlair1) 360deg);}",
            {
                p: -2
            }
        ]
    ]
});
const useScrollDownButtonStyles_unstable = (state)=>{
    'use no memo';
    const styles = useStyles();
    const rootClassName = useRootClassName();
    const iconClassName = useIconClassName();
    const iconStyles = useIconStyles();
    const innerCircleClassName = useInnerCircleClassName();
    const outerCircleClassName = useOuterCircleClassName();
    const spinnerClassName = useSpinnerClassName();
    state.root.className = (0, _reactcomponents.mergeClasses)(scrollDownButtonClassNames.root, rootClassName, state.isGenerating && styles.rootSending, state.root.className);
    if (state.icon) {
        state.icon.className = (0, _reactcomponents.mergeClasses)(scrollDownButtonClassNames.icon, iconClassName, state.isGenerating && iconStyles.isGenerating, state.icon.className);
    }
    if (state.spinner) {
        state.spinner.className = (0, _reactcomponents.mergeClasses)(scrollDownButtonClassNames.spinner, spinnerClassName, state.spinner.className);
    }
    if (state.spinnerMaskStroke) {
        state.spinnerMaskStroke.className = (0, _reactcomponents.mergeClasses)(scrollDownButtonClassNames.spinnerMaskStroke, innerCircleClassName, state.spinnerMaskStroke.className);
    }
    if (state.spinnerMaskBackground) {
        state.spinnerMaskBackground.className = (0, _reactcomponents.mergeClasses)(scrollDownButtonClassNames.spinnerMaskBackground, innerCircleClassName, state.spinnerMaskBackground.className);
    }
    if (state.spinnerBase) {
        state.spinnerBase.className = (0, _reactcomponents.mergeClasses)(scrollDownButtonClassNames.spinnerBase, outerCircleClassName, state.spinnerBase.className);
    }
    return state;
}; //# sourceMappingURL=useScrollDownButtonStyles.styles.js.map
