"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useSystemMessage_unstable", {
    enumerable: true,
    get: function() {
        return useSystemMessage_unstable;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reactcomponents = require("@fluentui/react-components");
const _reactsharedcontexts = require("@fluentui/react-shared-contexts");
const _reactprovider = require("@fluentui-copilot/react-provider");
const _useMessageAttributes = require("../../utils/useMessageAttributes");
const useSystemMessage_unstable = (props, ref)=>{
    const { announcement, defaultFocused = false } = props;
    const messageId = (0, _reactcomponents.useId)('system-message-', props.id);
    const { announce } = (0, _reactsharedcontexts.useAnnounce_unstable)();
    _react.useEffect(()=>{
        announcement && announce(announcement, {
            batchId: messageId
        });
    }, [
        announce,
        announcement,
        messageId
    ]);
    const mode = (0, _reactprovider.useCopilotMode)(props.mode);
    const { id: _, ...copilotChatAttributes } = (0, _useMessageAttributes.useMessageAttributes)({
        id: messageId,
        defaultFocused
    });
    return {
        mode,
        components: {
            root: 'div',
            icon: 'span',
            message: 'span',
            accessibleHeading: 'h6'
        },
        root: _reactcomponents.slot.always((0, _reactcomponents.getIntrinsicElementProps)('div', {
            ref,
            // If we have an icon, include it in the focus rect
            ...props.icon ? copilotChatAttributes : {},
            ...props
        }), {
            elementType: 'div'
        }),
        icon: _reactcomponents.slot.optional(props.icon, {
            renderByDefault: true,
            elementType: 'span'
        }),
        message: _reactcomponents.slot.optional(props.message, {
            defaultProps: {
                id: messageId,
                // If we don't have an icon, only show the focus rect around the message
                ...props.icon ? {} : copilotChatAttributes
            },
            renderByDefault: true,
            elementType: 'span'
        }),
        accessibleHeading: _reactcomponents.slot.optional(props.accessibleHeading, {
            defaultProps: {
                children: 'System message: '
            },
            elementType: 'h6',
            renderByDefault: true
        })
    };
}; //# sourceMappingURL=useSystemMessage.js.map
