"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    useUserMessageStyles_unstable: function() {
        return useUserMessageStyles_unstable;
    },
    userMessageClassNames: function() {
        return userMessageClassNames;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const userMessageClassNames = {
    root: 'fai-UserMessage',
    accessibleHeading: 'fai-UserMessage__accessibleHeading',
    timestamp: 'fai-UserMessage__timestamp',
    actionBarAccessibleButton: 'fai-UserMessage__actionBarAccessibleButton',
    actionBar: 'fai-UserMessage__actionBar',
    message: 'fai-UserMessage__message'
};
/**
 * Styles for the root slot
 */ const useRootClassName = (0, _reactcomponents.__resetStyles)("rucmimq", null, [
    ".rucmimq{position:relative;display:grid;grid-auto-rows:max-content;grid-auto-flow:column;align-self:flex-end;grid-template-areas:\"start timestamp\" \"button  button\" \"message message\";color:var(--colorNeutralForeground1);column-gap:var(--spacingHorizontalS);padding:var(--spacingVerticalS) var(--spacingHorizontalL);border-radius:var(--borderRadiusXLarge);}",
    ".rucmimq:focus{outline:none;}",
    ".rucmimq:focus .fai-UserMessage__message{outline:var(--strokeWidthThick) solid var(--colorNeutralForeground1);}",
    ".rucmimq:focus:not(:focus-visible) .fai-UserMessage__message{outline:none;}"
]);
/**
 * Styles for the hidden heading slot
 */ const useHeadingStyles = (0, _reactcomponents.__resetStyles)("r183b29h", null, [
    ".r183b29h{clip:rect(0px, 0px, 0px, 0px);grid-area:start;height:1px;margin:-1px;width:1px;position:absolute;overflow:hidden;white-space:nowrap;}"
]);
/**
 * Styles for the name slot
 */ const useTimestampStyles = (0, _reactcomponents.__resetStyles)("rl37xzm", null, [
    ".rl37xzm{color:var(--colorNeutralForeground3);grid-area:timestamp;font-family:var(--fontFamilyBase);font-size:var(--fontSizeBase200);font-weight:var(--fontWeightRegular);line-height:var(--lineHeightBase200);}"
]);
/**
 * Styles for the accessible button slot
 */ const useActionBarAccessibleButtonStyles = (0, _reactcomponents.__resetStyles)("rb330c", null, [
    ".rb330c{grid-area:button;clip:rect(0px, 0px, 0px, 0px);height:1px;margin:-1px;width:1px;position:absolute;overflow:hidden;white-space:nowrap;}"
]);
/**
 * Styles for the action bar slot
 */ const useActionBarStyles = (0, _reactcomponents.__styles)({
    root: {
        mc9l5x: "f22iagw",
        Brf1p80: "f9c4gz4",
        De3pzq: "fxugw4r",
        E5pizo: "fz58gqq",
        Beyfa6y: 0,
        Bbmb7ep: 0,
        Btl43ni: 0,
        B7oj6ja: 0,
        Dimara: "ft85np5",
        Bj3rh1h: "f1e8dwah"
    }
}, {
    d: [
        ".f22iagw{display:flex;}",
        ".f9c4gz4{justify-content:flex-end;}",
        ".fxugw4r{background-color:var(--colorNeutralBackground1);}",
        ".fz58gqq{box-shadow:var(--shadow8);}",
        [
            ".ft85np5{border-radius:var(--borderRadiusMedium);}",
            {
                p: -1
            }
        ],
        ".f1e8dwah{z-index:2000;}"
    ]
});
/**
 * Styles for the message slot
 */ const useMessageStyles = (0, _reactcomponents.__resetStyles)("rulz4bx", "rkeboz", [
    ".rulz4bx{grid-area:message;background-color:var(--colorNeutralBackground3);padding-top:var(--spacingVerticalS);padding-bottom:var(--spacingVerticalS);padding-left:var(--spacingHorizontalL);padding-right:var(--spacingHorizontalL);border-radius:var(--borderRadiusXLarge);border:var(--strokeWidthThin) solid var(--colorTransparentStroke);overflow-wrap:anywhere;word-break:break-word;}",
    ".rkeboz{grid-area:message;background-color:var(--colorNeutralBackground3);padding-top:var(--spacingVerticalS);padding-bottom:var(--spacingVerticalS);padding-right:var(--spacingHorizontalL);padding-left:var(--spacingHorizontalL);border-radius:var(--borderRadiusXLarge);border:var(--strokeWidthThin) solid var(--colorTransparentStroke);overflow-wrap:anywhere;word-break:break-word;}"
]);
const useUserMessageStyles_unstable = (state)=>{
    'use no memo';
    const rootClassName = useRootClassName();
    const headingStyles = useHeadingStyles();
    const timestampStyles = useTimestampStyles();
    const actionBarAccessibleButtonStyles = useActionBarAccessibleButtonStyles();
    const actionBarStyles = useActionBarStyles();
    const messageStyles = useMessageStyles();
    state.root.className = (0, _reactcomponents.mergeClasses)(userMessageClassNames.root, rootClassName, state.root.className);
    if (state.accessibleHeading) {
        state.accessibleHeading.className = (0, _reactcomponents.mergeClasses)(userMessageClassNames.accessibleHeading, headingStyles, state.accessibleHeading.className);
    }
    if (state.timestamp) {
        state.timestamp.className = (0, _reactcomponents.mergeClasses)(userMessageClassNames.timestamp, timestampStyles, state.timestamp.className);
    }
    if (state.actionBarAccessibleButton) {
        state.actionBarAccessibleButton.className = (0, _reactcomponents.mergeClasses)(userMessageClassNames.actionBarAccessibleButton, actionBarAccessibleButtonStyles, state.actionBarAccessibleButton.className);
    }
    if (state.actionBar) {
        state.actionBar.className = (0, _reactcomponents.mergeClasses)(userMessageClassNames.actionBar, actionBarStyles.root, state.actionBar.className);
    }
    state.message.className = (0, _reactcomponents.mergeClasses)(userMessageClassNames.message, messageStyles, state.message.className);
    return state;
}; //# sourceMappingURL=useUserMessageStyles.styles.js.map
