"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useActionBarSlot", {
    enumerable: true,
    get: function() {
        return useActionBarSlot;
    }
});
const _reactutilities = require("@fluentui/react-utilities");
const _reactcomponents = require("@fluentui/react-components");
function useActionBarSlot(actionBarSlotFromProp, options) {
    const { popoverRef, isFocused, isHovered } = options;
    const actionBarId = (0, _reactutilities.useId)('fluentai-actionbar', (0, _reactutilities.isResolvedShorthand)(actionBarSlotFromProp) ? actionBarSlotFromProp.id : undefined);
    const actionBarSlot = _reactutilities.slot.optional(actionBarSlotFromProp, {
        elementType: _reactcomponents.Toolbar,
        defaultProps: {
            id: actionBarId,
            size: 'small'
        }
    });
    /**
  * Clicking on the actionBar should never blur the trigger
  * in a UserMessage
  */ const actionBarRef = (0, _reactutilities.useMergedRefs)(actionBarSlot === null || actionBarSlot === void 0 ? void 0 : actionBarSlot.ref, popoverRef);
    if (actionBarSlot) {
        actionBarSlot.ref = actionBarRef;
    }
    return isFocused || isHovered ? actionBarSlot : undefined;
} //# sourceMappingURL=useActionBarSlot.js.map
