"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useMessageAttributes", {
    enumerable: true,
    get: function() {
        return useMessageAttributes;
    }
});
const _reacttabster = require("@fluentui/react-tabster");
const useMessageAttributes = ({ contentId, headingId, defaultFocused })=>{
    // Initialize groupper
    (0, _reacttabster.useFocusableGroup)();
    const accessibleProps = {
        role: 'article',
        tabIndex: 0,
        'aria-labelledby': `${headingId} ${contentId}`
    };
    const tabsterProps = (0, _reacttabster.useTabsterAttributes)({
        groupper: {
            tabbability: 2 /*limitedTrapFocus*/ 
        },
        focusable: {
            isDefault: defaultFocused
        }
    });
    return {
        ...accessibleProps,
        ...tabsterProps
    };
}; //# sourceMappingURL=useMessageAttributesV2.js.map
