"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useScrollToBottom", {
    enumerable: true,
    get: function() {
        return useScrollToBottom;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _reactcomponents = require("@fluentui/react-components");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const useScrollToBottom = (params)=>{
    const [isAtBottom, setIsAtBottom] = _react.useState(true);
    //First get the ref to this container
    //const containerRef = React.useRef<HTMLDivElement>(null);
    //Get a ref to the sentinel element
    const { targetDocument } = (0, _reactcomponents.useFluent)();
    const win = targetDocument === null || targetDocument === void 0 ? void 0 : targetDocument.defaultView;
    const sentinelRef = _react.useCallback((elem)=>{
        if (elem && win) {
            const observer = new win.IntersectionObserver((entries)=>{
                entries.forEach((entry)=>{
                    if (entry.isIntersecting) {
                        setIsAtBottom(true);
                    } else {
                        setIsAtBottom(false);
                    }
                });
            }, {
                threshold: 1.0
            });
            observer.observe(elem);
            return ()=>{
                observer.disconnect();
            };
        }
    }, [
        win
    ]);
    const { sentinelClassName } = params;
    const Sentinel = /*#__PURE__*/ _react.createElement("span", {
        ref: sentinelRef,
        className: sentinelClassName
    });
    return {
        isAtBottom,
        sentinel: Sentinel
    };
}; //# sourceMappingURL=useScrollToBottom.js.map
