import { createFocusOutlineStyle, __resetStyles, __styles, mergeClasses, slot, typographyStyles } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
export const copilotMessageClassNames = {
  root: 'fai-CopilotMessage',
  accessibleHeading: 'fai-CopilotMessage__accessibleHeading',
  avatar: 'fai-CopilotMessage__avatar',
  name: 'fai-CopilotMessage__name',
  disclaimer: 'fai-CopilotMessage__disclaimer',
  content: 'fai-CopilotMessage__content',
  footnote: 'fai-CopilotMessage__footnote',
  actions: 'fai-CopilotMessage__actions',
  progress: 'fai-CopilotMessage__progress'
};
const indeterminateProgressBarReducedMotion = {
  '0%': {
    opacity: '.2'
  },
  '50%': {
    opacity: '1'
  },
  '100%': {
    opacity: '.2'
  }
};
const useRootClassName = __resetStyles("r1f6yzd6", "r1k1tyop", {
  r: [".r1f6yzd6{background-color:transparent;border-radius:var(--borderRadiusXLarge);column-gap:var(--spacingHorizontalS);display:flex;flex-direction:column;position:relative;row-gap:var(--spacingHorizontalS);flex-wrap:wrap;}", ".r1f6yzd6:focus{outline-style:none;}", ".r1f6yzd6:focus-visible{outline-style:none;}", ".r1f6yzd6[data-fui-focus-visible]{border-top-color:transparent;border-right-color:transparent;border-bottom-color:transparent;border-left-color:transparent;}", ".r1f6yzd6[data-fui-focus-visible]::after{content:\"\";position:absolute;pointer-events:none;z-index:1;border:2px solid var(--colorStrokeFocus2);border-radius:var(--borderRadiusXLarge);top:calc(2px * -1);right:calc(2px * -1);bottom:calc(2px * -1);left:calc(2px * -1);}", ".r1k1tyop{background-color:transparent;border-radius:var(--borderRadiusXLarge);column-gap:var(--spacingHorizontalS);display:flex;flex-direction:column;position:relative;row-gap:var(--spacingHorizontalS);flex-wrap:wrap;}", ".r1k1tyop:focus{outline-style:none;}", ".r1k1tyop:focus-visible{outline-style:none;}", ".r1k1tyop[data-fui-focus-visible]{border-top-color:transparent;border-left-color:transparent;border-bottom-color:transparent;border-right-color:transparent;}", ".r1k1tyop[data-fui-focus-visible]::after{content:\"\";position:absolute;pointer-events:none;z-index:1;border:2px solid var(--colorStrokeFocus2);border-radius:var(--borderRadiusXLarge);top:calc(2px * -1);left:calc(2px * -1);bottom:calc(2px * -1);right:calc(2px * -1);}"],
  s: ["@media (forced-colors: active){.r1f6yzd6[data-fui-focus-visible]::after{border-top-color:Highlight;border-right-color:Highlight;border-bottom-color:Highlight;border-left-color:Highlight;}}", "@media (forced-colors: active){.r1k1tyop[data-fui-focus-visible]::after{border-top-color:Highlight;border-left-color:Highlight;border-bottom-color:Highlight;border-right-color:Highlight;}}"]
});
/**
 * Styles for the heading wrapper slot
 */
const useHeadingWrapperClassName = __resetStyles("r17kselw", null, [".r17kselw{display:flex;column-gap:var(--spacingHorizontalS);row-gap:var(--spacingHorizontalS);flex-wrap:wrap;}"]);
/**
 * Styles for the hidden heading slot
 */
const useHeadingClassName = __resetStyles("rhgro0h", null, [".rhgro0h{clip:rect(0px, 0px, 0px, 0px);height:1px;margin:-1px;width:1px;position:absolute;overflow:hidden;white-space:nowrap;}"]);
/**
 * Styles for the avatar slot
 */
const useAvatarClassName = __resetStyles("rfv3lde", null, [".rfv3lde{align-items:center;display:flex;}"]);
/**
 * Styles for the name slot
 */
const useNameClassName = __resetStyles("r1nnhzw6", null, [".r1nnhzw6{align-content:center;font-family:var(--fontFamilyBase);font-size:var(--fontSizeBase300);font-weight:var(--fontWeightSemibold);line-height:var(--lineHeightBase300);}"]);
/**
 * Styles for the disclaimer slot
 */
const useDisclaimerClassName = __resetStyles("r1a5ho4p", null, [".r1a5ho4p{align-content:center;}"]);
/**
 * Styles for the content slot
 */
const useContentClassName = __resetStyles("r1izxv8h", null, [".r1izxv8h{display:flex;flex-direction:column;overflow-wrap:anywhere;word-break:break-word;}"]);
/**
 * Styles for the footer slot
 */
const useFootnoteClassName = __resetStyles("r1bn3aft", null, [".r1bn3aft{align-items:start;column-gap:var(--spacingHorizontalXS);display:flex;}"]);
/**
 * Styles for the actions slot
 */
const useActionsClassName = __resetStyles("rmlvq19", null, [".rmlvq19{column-gap:var(--spacingHorizontalXXS);display:flex;}"]);
const useStyles = __styles({
  canvas: {
    Frg6f3: ["fcthzvy", "ffefeo0"]
  },
  bar: {
    vin17d: "f1a27w2r",
    De3pzq: "f1c21dwh",
    Bcmaq0h: "fhj63tx",
    jpy9cc: "f3z2g5w",
    Bqo2lbl: "fz5izi4",
    I82g5a: "f1uj6jbf",
    B6plc1d: "fv40pdu"
  },
  indeterminateBarNotIsLoading: {
    Bh6m77q: "f1yav1uu"
  }
}, {
  d: [".fcthzvy{margin-left:var(--spacingHorizontalXXXL);}", ".ffefeo0{margin-right:var(--spacingHorizontalXXXL);}", ".f1a27w2r{animation-duration:3s;}", ".f1c21dwh{background-color:var(--colorTransparentBackground);}", ".fhj63tx{background-image:linear-gradient(90deg, var(--colorTransparentStroke) 0%, var(--colorBrandFlair1) 35%, var(--colorBrandFlair2) 70%, var(--colorBrandFlair3) 92%,  var(--colorTransparentStroke));}", ".f1yav1uu{animation-play-state:paused;}"],
  m: [["@media screen and (prefers-reduced-motion: reduce){.f3z2g5w{max-width:100%;}}", {
    m: "screen and (prefers-reduced-motion: reduce)"
  }], ["@media screen and (prefers-reduced-motion: reduce){.fz5izi4{animation-iteration-count:infinite;}}", {
    m: "screen and (prefers-reduced-motion: reduce)"
  }], ["@media screen and (prefers-reduced-motion: reduce){.f1uj6jbf{animation-name:ftc26vs;}}", {
    m: "screen and (prefers-reduced-motion: reduce)"
  }], ["@media screen and (prefers-reduced-motion: reduce){.fv40pdu{animation-duration:3s;}}", {
    m: "screen and (prefers-reduced-motion: reduce)"
  }]],
  k: ["@keyframes ftc26vs{0%{opacity:.2;}50%{opacity:1;}100%{opacity:.2;}}"]
});
export const useCopilotMessageStyles_unstable = state => {
  'use no memo';

  const rootClassName = useRootClassName();
  const headingWrapperClassName = useHeadingWrapperClassName();
  const headingClassName = useHeadingClassName();
  const avatarClassName = useAvatarClassName();
  const nameClassName = useNameClassName();
  const disclaimerClassName = useDisclaimerClassName();
  const contentClassName = useContentClassName();
  const footnoteClassName = useFootnoteClassName();
  const actionClassName = useActionsClassName();
  const styles = useStyles();
  state.root.className = mergeClasses(copilotMessageClassNames.root, rootClassName, state.root.className);
  state.nameLineClassName = headingWrapperClassName;
  if (state.accessibleHeading) {
    state.accessibleHeading.className = mergeClasses(copilotMessageClassNames.accessibleHeading, headingClassName, state.accessibleHeading.className);
  }
  state.avatar.className = mergeClasses(copilotMessageClassNames.avatar, avatarClassName, state.avatar.className);
  state.name.className = mergeClasses(copilotMessageClassNames.name, nameClassName, state.name.className);
  if (state.disclaimer) {
    state.disclaimer.className = mergeClasses(copilotMessageClassNames.disclaimer, disclaimerClassName, state.disclaimer.className);
  }
  if (state.content) {
    state.content.className = mergeClasses(copilotMessageClassNames.content, contentClassName, state.mode === 'canvas' && styles.canvas, state.content.className);
  }
  if (state.footnote) {
    state.footnote.className = mergeClasses(copilotMessageClassNames.footnote, footnoteClassName, state.mode === 'canvas' && styles.canvas, state.footnote.className);
  }
  if (state.actions) {
    state.actions.className = mergeClasses(copilotMessageClassNames.actions, actionClassName, state.mode === 'canvas' && styles.canvas, state.actions.className);
  }
  if (state.progress) {
    state.progress.className = mergeClasses(copilotMessageClassNames.progress, state.progress.className);
    if (state.progress.value === undefined) {
      const bar = slot.always(state.progress.bar, {
        elementType: 'div'
      });
      bar.className = mergeClasses(styles.bar, state.loadingState !== 'loading' && styles.indeterminateBarNotIsLoading, bar.className);
      state.progress.bar = bar;
    }
  }
  return state;
};
//# sourceMappingURL=useCopilotMessageStyles.styles.js.map