import { __resetStyles, __styles, mergeClasses } from '@fluentui/react-components';
import { tokens, typographyStyles } from '@fluentui-copilot/tokens';
const VISUALLY_HIDDEN = {
  clip: 'rect(0px, 0px, 0px, 0px)',
  height: '1px',
  margin: '-1px',
  width: '1px',
  position: 'absolute',
  overflow: 'hidden',
  whiteSpace: 'nowrap'
};
export const systemMessageClassNames = {
  root: 'fai-SystemMessage',
  icon: 'fai-SystemMessage__icon',
  message: 'fai-SystemMessage__message',
  accessibleHeading: 'fai-SystemMessage__accessibleHeading'
};
/**
 * Styles for the root slot
 */
const useStyles = __styles({
  root: {
    mc9l5x: "f13qh94s",
    qb2dma: "f9h729m",
    sj55zd: "f11d4kpn",
    i8kkvl: "f1rjii52",
    Bahqtrf: "fk6fouc",
    Be2twd7: "fy9rknc",
    Bhrd7zp: "figsok6",
    Bg96gwp: "fwrc4pm"
  },
  withIcon: {
    zoa1oz: "fjh24oo",
    Budl1dq: "ftt4yai",
    wkccdc: "f1kjlhh1"
  },
  noIcon: {
    zoa1oz: "f18zflbe"
  },
  sidecar: {
    B2u0y6b: "f175nhu2"
  },
  canvas: {
    B2u0y6b: "f170h60y"
  },
  icon: {
    Bw0ie65: 0,
    Br312pm: 0,
    nk6f5a: 0,
    Ijaq50: 0,
    Bq1tomu: "f1atrtdw",
    mc9l5x: "f22iagw",
    Bt984gj: "f122n59",
    Brf1p80: "f4d9j23"
  },
  message: {
    Bw0ie65: 0,
    Br312pm: 0,
    nk6f5a: 0,
    Ijaq50: 0,
    Bq1tomu: "fpjmts2"
  }
}, {
  d: [".f13qh94s{display:grid;}", ".f9h729m{align-self:start;}", ".f11d4kpn{color:var(--colorNeutralForeground3);}", ".f1rjii52{column-gap:var(--spacingHorizontalSNudge);}", ".fk6fouc{font-family:var(--fontFamilyBase);}", ".fy9rknc{font-size:var(--fontSizeBase200);}", ".figsok6{font-weight:var(--fontWeightRegular);}", ".fwrc4pm{line-height:var(--lineHeightBase200);}", ".fjh24oo{grid-template-areas:\"icon   message\" \".      message\";}", ".ftt4yai{grid-template-columns:16px 1fr;}", ".f1kjlhh1{grid-template-rows:var(--lineHeightBase200) 1fr;}", ".f18zflbe{grid-template-areas:\"message\";}", ".f175nhu2{max-width:288px;}", ".f170h60y{max-width:620px;}", [".f1atrtdw{grid-area:icon;}", {
    p: -1
  }], ".f22iagw{display:flex;}", ".f122n59{align-items:center;}", ".f4d9j23{justify-content:center;}", [".fpjmts2{grid-area:message;}", {
    p: -1
  }]]
});
const useVisuallyHiddenStyles = __resetStyles("rhgro0h", null, [".rhgro0h{clip:rect(0px, 0px, 0px, 0px);height:1px;margin:-1px;width:1px;position:absolute;overflow:hidden;white-space:nowrap;}"]);
/**
 * Apply styling to the SystemMessage slots based on the state
 */
export const useSystemMessageStyles_unstable = state => {
  'use no memo';

  const styles = useStyles();
  state.root.className = mergeClasses(systemMessageClassNames.root, styles.root, styles[state.mode], state.icon ? styles.withIcon : styles.noIcon, state.root.className);
  if (state.icon) {
    state.icon.className = mergeClasses(systemMessageClassNames.icon, styles.icon, state.icon.className);
  }
  if (state.message) {
    state.message.className = mergeClasses(systemMessageClassNames.message, styles.message, state.message.className);
  }
  const visuallyHiddenStyles = useVisuallyHiddenStyles();
  if (state.accessibleHeading) {
    state.accessibleHeading.className = mergeClasses(systemMessageClassNames.accessibleHeading, visuallyHiddenStyles, state.accessibleHeading.className);
  }
  return state;
};
//# sourceMappingURL=useSystemMessageStyles.styles.js.map