import { usePositioning } from '@fluentui/react-positioning';
export function useUserMessagePositioning(props) {
  // Set a default set of fallback positions to try if the dropdown does not fit on screen
  const fallbackPositions = ['below-end', 'after', 'after-top', 'before', 'before-top'];
  const popperOptions = {
    position: 'above',
    align: 'end',
    offset: {
      crossAxis: 0,
      mainAxis: 2
    },
    fallbackPositions,
    autoSize: true
  };
  const {
    targetRef,
    containerRef
  } = usePositioning(popperOptions);
  return [containerRef, targetRef];
}
//# sourceMappingURL=useUserMessagePositioning.js.map